summaryrefslogtreecommitdiffstats
path: root/scripts/dbg_mkrpm
diff options
context:
space:
mode:
authorDenys Vlasenko <dvlasenk@redhat.com>2011-02-22 15:16:48 +0100
committerDenys Vlasenko <dvlasenk@redhat.com>2011-02-22 15:16:48 +0100
commit24d52b7cc22ae2aea7c90b9e6fe76e794806ed57 (patch)
tree89492986c9a4904604ad9bbb2c9ae48fcfd84c13 /scripts/dbg_mkrpm
parent6a391e994b767fd662265cc07cdfc190853097cd (diff)
downloadabrt-24d52b7cc22ae2aea7c90b9e6fe76e794806ed57.tar.gz
abrt-24d52b7cc22ae2aea7c90b9e6fe76e794806ed57.tar.xz
abrt-24d52b7cc22ae2aea7c90b9e6fe76e794806ed57.zip
gui-wizard-gtk: cleanups without substantial code changes
Signed-off-by: Denys Vlasenko <dvlasenk@redhat.com>
Diffstat (limited to 'scripts/dbg_mkrpm')
-rwxr-xr-xscripts/dbg_mkrpm14
1 files changed, 8 insertions, 6 deletions
diff --git a/scripts/dbg_mkrpm b/scripts/dbg_mkrpm
index dbeafbfd..c3dbcf84 100755
--- a/scripts/dbg_mkrpm
+++ b/scripts/dbg_mkrpm
@@ -35,11 +35,12 @@ cp "$SRCDIR"/abrt.init "$BUILDDIR"
cp "$SRCDIR"/abrt-ccpp.init "$BUILDDIR"
#cp "$SRCDIR"/dbg_* "$BUILDDIR" 2>/dev/null # developers' toys
+{
+
cd "$BUILDDIR" || exit 1
# Build them
-# Less ugly way to pass exitcode (without bashisms)?
-{ nice -n10 rpmbuild \
+nice -n10 rpmbuild \
--define "_topdir $PWD" \
--define "_builddir $PWD" \
--define "_rpmdir $PWD" \
@@ -48,8 +49,9 @@ cd "$BUILDDIR" || exit 1
--define "_srcrpmdir $PWD" \
--define "_build_name_fmt %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
-bb abrt.spec 2>&1
-echo $? >"EXITCODE"
+echo "Exitcode: $?"
+
} | tee -a "$0.log"
-ret=`cat EXITCODE`
-rm EXITCODE
-exit "$ret"
+
+test x"`tail -n 1 "$0.log"`" = x"Exitcode: 0"
+exit $?